package ru.kolevatykh.tm.endpoint;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Action;
import javax.xml.ws.FaultAction;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was generated by Apache CXF 3.2.7
 * 2020-04-13T02:20:13.510+03:00
 * Generated source version: 3.2.7
 *
 */
@WebService(targetNamespace = "http://endpoint.tm.kolevatykh.ru/", name = "IDomainEndpoint")
@XmlSeeAlso({ObjectFactory.class})
public interface IDomainEndpoint {

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/deserializeRequest", output = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/deserializeResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/deserialize/Fault/Exception")})
    @RequestWrapper(localName = "deserialize", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.Deserialize")
    @ResponseWrapper(localName = "deserializeResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.DeserializeResponse")
    public void deserialize(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/saveJacksonJsonRequest", output = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/saveJacksonJsonResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/saveJacksonJson/Fault/Exception")})
    @RequestWrapper(localName = "saveJacksonJson", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.SaveJacksonJson")
    @ResponseWrapper(localName = "saveJacksonJsonResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.SaveJacksonJsonResponse")
    public void saveJacksonJson(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/marshalJaxbJsonRequest", output = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/marshalJaxbJsonResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/marshalJaxbJson/Fault/Exception")})
    @RequestWrapper(localName = "marshalJaxbJson", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.MarshalJaxbJson")
    @ResponseWrapper(localName = "marshalJaxbJsonResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.MarshalJaxbJsonResponse")
    public void marshalJaxbJson(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/unmarshalJaxbXmlRequest", output = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/unmarshalJaxbXmlResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/unmarshalJaxbXml/Fault/Exception")})
    @RequestWrapper(localName = "unmarshalJaxbXml", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.UnmarshalJaxbXml")
    @ResponseWrapper(localName = "unmarshalJaxbXmlResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.UnmarshalJaxbXmlResponse")
    public void unmarshalJaxbXml(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/saveJacksonXmlRequest", output = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/saveJacksonXmlResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/saveJacksonXml/Fault/Exception")})
    @RequestWrapper(localName = "saveJacksonXml", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.SaveJacksonXml")
    @ResponseWrapper(localName = "saveJacksonXmlResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.SaveJacksonXmlResponse")
    public void saveJacksonXml(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/unmarshalJaxbJsonRequest", output = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/unmarshalJaxbJsonResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/unmarshalJaxbJson/Fault/Exception")})
    @RequestWrapper(localName = "unmarshalJaxbJson", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.UnmarshalJaxbJson")
    @ResponseWrapper(localName = "unmarshalJaxbJsonResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.UnmarshalJaxbJsonResponse")
    public void unmarshalJaxbJson(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/loadJacksonJsonRequest", output = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/loadJacksonJsonResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/loadJacksonJson/Fault/Exception")})
    @RequestWrapper(localName = "loadJacksonJson", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.LoadJacksonJson")
    @ResponseWrapper(localName = "loadJacksonJsonResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.LoadJacksonJsonResponse")
    public void loadJacksonJson(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/marshalJaxbXmlRequest", output = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/marshalJaxbXmlResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/marshalJaxbXml/Fault/Exception")})
    @RequestWrapper(localName = "marshalJaxbXml", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.MarshalJaxbXml")
    @ResponseWrapper(localName = "marshalJaxbXmlResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.MarshalJaxbXmlResponse")
    public void marshalJaxbXml(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/serializeRequest", output = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/serializeResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/serialize/Fault/Exception")})
    @RequestWrapper(localName = "serialize", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.Serialize")
    @ResponseWrapper(localName = "serializeResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.SerializeResponse")
    public void serialize(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;

    @WebMethod
    @Action(input = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/loadJacksonXmlRequest", output = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/loadJacksonXmlResponse", fault = {@FaultAction(className = Exception_Exception.class, value = "http://endpoint.tm.kolevatykh.ru/IDomainEndpoint/loadJacksonXml/Fault/Exception")})
    @RequestWrapper(localName = "loadJacksonXml", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.LoadJacksonXml")
    @ResponseWrapper(localName = "loadJacksonXmlResponse", targetNamespace = "http://endpoint.tm.kolevatykh.ru/", className = "ru.kolevatykh.tm.endpoint.LoadJacksonXmlResponse")
    public void loadJacksonXml(
        @WebParam(name = "token", targetNamespace = "")
        java.lang.String token
    ) throws Exception_Exception;
}
